# Conversations messaging

Conversations represent a sequence of messages with a set of participants. In the following APIs, you can manage messages belonging to a conversation.

Handling messages from the perspective of a conversation can be more convenient because it gives you the full context of a contact's interactions, they might have started off interacting with a flow and then gotten transferred to a customer service agent, so a conversation paints the full picture of their journey by aggregating all messages sent to and from the contact.

## API Reference Guide

1. [Create conversation message](/api/conversations-api/api-reference/conversations-messaging/create-conversation-message.md)
2. [List conversation messages](/api/conversations-api/api-reference/conversations-messaging/list-conversation-messages.md)
3. [Get conversation message](/api/conversations-api/api-reference/conversations-messaging/get-conversation-message.md)
4. [Update conversation message](/api/conversations-api/api-reference/conversations-messaging/update-conversation-message.md)
5. [Delete conversation message](/api/conversations-api/api-reference/conversations-messaging/delete-conversation-message.md)
6. [Create pre-signed upload](/api/conversations-api/api-reference/conversations-messaging/create-pre-signed-upload.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/conversations-api/api-reference/conversations-messaging.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
